/* eslint-env jest */

const SCSS = require('scss-parser/lib');
const createQueryWrapper = require('query-ast/lib');

const runPlugins = (css, plugins) => {
	let ast = SCSS.parse(css);
	let $ = createQueryWrapper(ast);
	plugins.forEach(plugin => plugin($));
	return SCSS.stringify($().get(0));
};

it('exports the helpers', () => {});

module.exports = {
	runPlugins
};
