// Plugins that will be run before/after Sass
let plugins = {
  mixin: require("./lib/plugins/mixin"),
  operations: require("./lib/plugins/operations"),
  value: require("./lib/plugins/value"),
  fn: require("./lib/plugins/function"),
  var: require("./lib/plugins/var"),
  customProps: require("./lib/plugins/custom-props"),
  negation: require("./lib/plugins/negation"),
  font: (tokens, options) => require("./lib/plugins/font")(options),
  comment: (tokens, { info }) => require("./lib/plugins/comment")(info),
  tokenString: require("./lib/plugins/token-string"),
  mathPolyfill: require("./lib/plugins/math-polyfill"),
};

module.exports = plugins;
